#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "histogram_internal.h"
#include "svg.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& inn, bool promt) {
    Input in;
    if (promt) {
        cerr << "promt: for getting gm in overwatch, u should play supports, cause dps and tanks are 2 hard for noobies \n";
    }
    size_t number_count;
    inn >> number_count;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        inn >> in.numbers[i];
    }
    size_t bin_count;
    inn >> in.bin_count;
    return in;
}


int main() {
    Input in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}